%define pkgname atkmm

%bcond_without doc

%define api 1.6
%define major 1
%define libname %mklibname %{pkgname} %{api} %{major}
%define libnamedev %mklibname -d %{pkgname} %{api}
%define libnamestaticdev %mklibname -d -s %{pkgname} %{api}

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		%{pkgname}%{api}
Summary:	C++ interface for accessibility library Atk
Version:	2.28.4
Release:	%mkrel 2
#gw lib is LGPL, tool is GPL
License:	LGPLv2+ and GPLv2+
Group:		System/Libraries
URL:		https://www.gtkmm.org/
Source:		https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(atk) >= 1.12
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.36.2
%if %{with doc}
BuildRequires:	doxygen
%endif

%description
Atkmm provides a C++ interface to the Atk accessibility library.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.


%package	-n %{libname}
Summary:	C++ interface for accessibility library Atk
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description	-n %{libname}
Atkmm provides a C++ interface to the Atk accessibility library.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{name}.


%package	-n %{libnamedev}
Summary:	Headers and development files of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{name}.

%package	doc
Summary:	Atkmm documentation
Group:		Documentation
BuildArch:	noarch

%description	doc
Atkmm provides a C++ interface to the Atk accessibility library.

Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains all API documentation for Atkmm. You can readily read
this documentation with devhelp, a documentation reader.

%prep
%setup -qn %{pkgname}-%{version}

%build
%meson -Dbuild-documentation=%{?with_doc:true}%{?!with_doc:false}
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%doc NEWS README.md
%{_libdir}/libatkmm-%{api}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%_libdir/atkmm-%{api}/

%if %{with doc}
%files doc
%doc %{_datadir}/doc/atkmm-%{api}/
%doc %{_datadir}/devhelp/books/*
%endif


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.28.4-2.mga10
+ Revision: 2227788
- Mageia 10 Mass Rebuild

* Fri Sep 20 2024 daviddavid <daviddavid> 2.28.4-1.mga10
+ Revision: 2099255
- new version 2.28.4

* Sun Apr 23 2023 daviddavid <daviddavid> 2.28.3-1.mga9
+ Revision: 1954441
- new version 2.28.3

* Sat Mar 19 2022 umeabot <umeabot> 2.28.2-2.mga9
+ Revision: 1799880
- Mageia 9 Mass Rebuild

* Sun Aug 08 2021 luigiwalser <luigiwalser> 2.28.2-1.mga9
+ Revision: 1740146
- 2.28.2

* Sun Dec 13 2020 ovitters <ovitters> 2.28.1-1.mga8
+ Revision: 1656532
- new version 2.28.1

* Sat Feb 15 2020 umeabot <umeabot> 2.28.0-2.mga8
+ Revision: 1523868
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Mar 14 2019 wally <wally> 2.28.0-1.mga7
+ Revision: 1376702
- new version 2.28.0

* Sun Nov 04 2018 ovitters <ovitters> 2.24.3-1.mga7
+ Revision: 1328092
- new version 2.24.3

* Fri Sep 21 2018 umeabot <umeabot> 2.24.2-3.mga7
+ Revision: 1295059
- Mageia 7 Mass Rebuild

* Sat Aug 26 2017 wally <wally> 2.24.2-2.mga7
+ Revision: 1148212
- fork as atkmm1.6

* Sun Nov 29 2015 ovitters <ovitters> 2.24.2-1.mga6
+ Revision: 907222
- new version 2.24.2

* Thu Sep 24 2015 tv <tv> 2.24.1-1.mga6
+ Revision: 882941
- new release

* Thu Sep 03 2015 ovitters <ovitters> 2.23.3-1.mga6
+ Revision: 872568
- new version 2.23.3

* Mon Aug 24 2015 wally <wally> 2.23.2-2.mga6
+ Revision: 869045
- build with -std=gnu++11

* Wed Jul 15 2015 ovitters <ovitters> 2.23.2-1.mga6
+ Revision: 854457
- new version 2.23.2

* Tue Jun 30 2015 ovitters <ovitters> 2.23.1-1.mga6
+ Revision: 849222
- new version 2.23.1

* Wed Oct 15 2014 umeabot <umeabot> 2.22.7-4.mga5
+ Revision: 750303
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.22.7-3.mga5
+ Revision: 678022
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.22.7-2.mga4
+ Revision: 523724
- Mageia 4 Mass Rebuild

* Fri May 24 2013 shlomif <shlomif> 2.22.7-1.mga4
+ Revision: 426452
- New version 2.22.7

* Fri Jan 11 2013 umeabot <umeabot> 2.22.6-3.mga3
+ Revision: 346527
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 2.22.6-2.mga3
+ Revision: 305599
- Documentation group
+ sander85 <sander85>
- Update URL

* Fri Oct 28 2011 fwang <fwang> 2.22.6-1.mga2
+ Revision: 158990
- new version 2.22.6
- do not ship .la files

* Mon Jun 13 2011 cjw <cjw> 2.22.5-4.mga2
+ Revision: 105792
- only remove libtool libraries when they are not referenced anywhere else

* Thu Jun 09 2011 dmorgan <dmorgan> 2.22.5-3.mga2
+ Revision: 102439
- Disable static
  Remove .la files

* Fri Apr 15 2011 ahmad <ahmad> 2.22.5-1.mga1
+ Revision: 85601
- Update to 2.22.5

* Thu Jan 13 2011 ahmad <ahmad> 2.22.2-2.mga1
+ Revision: 8809
- drop old/unneeded scriptlets
- imported package atkmm

